Bug 230842 - dns/knot-resolver: [patch] Update to 3.1.0
Summary: dns/knot-resolver: [patch] Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://www.knot-resolver.cz/2018-08-...
Keywords:
Depends on: 231001
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-23 14:00 UTC by Leo Vandewoestijne
Modified: 2018-11-08 19:48 UTC (History)
1 user (show)

See Also:


Attachments
knot-resolver 3.0.0 (4.20 KB, text/plain)
2018-08-23 14:00 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details
knot-resolver 3.1.0 (3.93 KB, patch)
2018-11-06 17:44 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2018-08-23 14:00:08 UTC
Created attachment 196475 [details]
knot-resolver 3.0.0

This patch upgrades Knot Resolver to the newest release.
Comment 1 Leo Vandewoestijne 2018-08-23 14:04:48 UTC
Comment on attachment 196475 [details]
knot-resolver 3.0.0

All tests in poudriere went fine (having the latest patch of PR 230841).
Comment 2 Kurt Jaeger freebsd_committer 2018-11-05 13:17:06 UTC
There's a new version 3.1.0, can you update this PR ?
Comment 4 Leo Vandewoestijne 2018-11-06 16:05:58 UTC
Yes I can - hold on please / working on it.
Comment 5 Leo Vandewoestijne 2018-11-06 17:44:35 UTC
Created attachment 199017 [details]
knot-resolver 3.1.0

This patch will upgrade to 3.1.0

Tested successfully, both manual and in poudriere - but only on amd64.
Comment 6 Kurt Jaeger freebsd_committer 2018-11-06 19:40:04 UTC
testbuilds@work
Comment 7 Kurt Jaeger freebsd_committer 2018-11-06 20:04:29 UTC
Is libknot also broken on 12.0 i386 ?

If it is broken on 11.2 i386, can you describe how it's broken ? Is there a PR or a bug report upstream ?

I'll commit in 24h. Thanks!
Comment 8 commit-hook freebsd_committer 2018-11-08 19:48:09 UTC
A commit references this bug:

Author: pi
Date: Thu Nov  8 19:48:00 UTC 2018
New revision: 484473
URL: https://svnweb.freebsd.org/changeset/ports/484473

Log:
  dns/knot-resolver: update 2.4.1 -> 3.1.0

  PR:		230842
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  Relnotes:	https://www.knot-resolver.cz/2018-08-20-knot-resolver-3.0.0.html
  		https://www.knot-resolver.cz/2018-11-02-knot-resolver-3.1.0.html

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2018-11-08 19:48:24 UTC
Committed, thanks!